<!--
  Generated template for the MeasurementsInterPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
  <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <img class="logo1" src="img/logo_interna.png">
  </ion-navbar>

</ion-header>
 

<ion-content>
  <ion-card-header class="tienda">
     Tomar medidas
  </ion-card-header>
	<div class="contenido-inventario">
     <div class="input-inventario codigo"> 
          	<p>Código:</p>
          	<ion-input type="textarea" name="codigo" [(ngModel)]="dataMeasurements.code"></ion-input>
              <button ion-button   (click)="buscarCode(dataMeasurements.code,dataMeasurements.store)" class="foto">Buscar </button>
          </div>
          <!--<button ion-button   (click)="buscarmedidas(dataMeasurements.code,dataMeasurements.store)" class="foto">Buscar </button>-->
          <ion-item class="input-inventario">
            <p>Campaña: {{campaingsName}}</p>
          </ion-item>
     <ion-item class="input-inventario">
        	<p>Tienda: {{namestore}}</p>
     </ion-item> 

     <ion-list class="list-inter" *ngIf="element.name != ''">
      <ion-item class="input-inventario">
        <ion-label>Tipo</ion-label>
        <ion-select [(ngModel)]='element.name' (ngModelChange)='changeElement(element.name)'>
          <ion-option *ngFor='let elemento of typesElement.types' >{{elemento.name}}</ion-option>
        </ion-select>
      </ion-item>
    </ion-list>

     <ion-list class="list-inter">
      <ion-item class="input-inventario">
        <ion-label>Estado</ion-label>
        <ion-select [(ngModel)]="estado">
          <ion-option value="Armado">Armado</ion-option>
          <ion-option value="No armado">No Armado</ion-option>
        </ion-select>
      </ion-item>
    </ion-list>
  </div>
  <div *ngIf="estado == 'Armado'">

      <div *ngFor='let medida of this.dataMeasurements.measurements'>
        <ion-card-header class="tienda">
          <p>{{medida.side}}</p>
        </ion-card-header>
        <ion-item class="input-inventario">
          <ion-label>Medida</ion-label>
          <ion-input [(ngModel)]="medida.value"></ion-input>
        </ion-item> 
        <ion-item class="input-inventario">
          <ion-label>Cantidad</ion-label>
          <ion-input type="number" [(ngModel)]="medida.quantity"></ion-input>
        </ion-item>
      </div>        
    <!--<ion-card-header class="tienda" >
        <p>{{medidasGeneral.side}}</p>
    </ion-card-header>
      <ion-item class="input-inventario">
            <ion-label>Medida</ion-label>
            <ion-input [(ngModel)]="medidasGeneral.value"></ion-input>
      </ion-item> 
      <ion-item class="input-inventario">
            <ion-label>Cantidad</ion-label>
            <ion-input type="number" [(ngModel)]="medidasGeneral.quantity"></ion-input>
      </ion-item>   
    <ion-card-header class="tienda">
       <p>{{medidasGeneral2.side}}</p>
    </ion-card-header>
      <ion-item class="input-inventario">
            <ion-label >Medida</ion-label>
            <ion-input [(ngModel)]="medidasGeneral2.value"></ion-input>
      </ion-item> 
      <ion-item class="input-inventario">
            <ion-label>Cantidad</ion-label>
            <ion-input type="number" [(ngModel)]="medidasGeneral2.quantity"></ion-input>
      </ion-item>  
    <ion-card-header class="tienda">
       <p>{{medidasGeneral3.side}}</p>
    </ion-card-header>
      <ion-item class="input-inventario">
            <ion-label>Medida</ion-label>
            <ion-input [(ngModel)]="medidasGeneral3.value"></ion-input>
      </ion-item> 
      <ion-item class="input-inventario">
            <ion-label>Cantidad</ion-label>
            <ion-input type="number" [(ngModel)]="medidasGeneral3.quantity"></ion-input>
      </ion-item>   

    <ion-card-header class="tienda">
       <p>{{medidasGeneral4.side}}</p>
    </ion-card-header>
      <ion-item class="input-inventario">
            <ion-label>Medida</ion-label>
            <ion-input [(ngModel)]="medidasGeneral4.value"></ion-input>
      </ion-item> 
      <ion-item class="input-inventario">
            <ion-label>Cantidad</ion-label>
            <ion-input type="number" [(ngModel)]="medidasGeneral4.quantity"></ion-input>
      </ion-item> -->
      <ion-item class="input-inventario">
            <ion-label>Observaciones</ion-label>
            <ion-textarea [(ngModel)]="dataMeasurements.observation" placeholder="Escribe...." lineHeight="22"></ion-textarea>
      </ion-item> 
      
  <img [src]="image" *ngIf="image" />
  </div>
  <div *ngIf="estado == 'No armado'">
    <ion-item class="input-inventario" *ngIf="estado == 'No armado' ">
            <ion-label>Motivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataInstall.motive" >
              <ion-option *ngFor="let items of motiveA | keys" value="{{motiveA[items]}}">{{motiveA[items]}}</ion-option>
            </ion-select>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="estado == 'No armado' " >
            <ion-label>Submotivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataInstall.submotive" >
              <ion-option *ngFor="let items of SubmotiveA | keys" value="{{SubmotiveA[items]}}">{{SubmotiveA[items]}}</ion-option>
            </ion-select>
          </ion-item>

         <ion-item class="input-inventario" *ngIf="estado == 'No armado' " >
            <ion-label>Objetivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataInstall.target">
              <ion-option *ngFor="let items of targetA | keys" value="{{targetA[items]}}">{{targetA[items]}}</ion-option>
            </ion-select>
          </ion-item>
         
          <ion-item class="input-inventario" *ngIf="estado == 'No armado' ">
            <ion-label>Estado</ion-label>
            <ion-select id="instalado" name="target" [(ngModel)]="dataInstall.install_status" >
              <ion-option  *ngFor="let items of statusInstall | keys" value="{{statusInstall[items]}}">{{statusInstall[items]}}</ion-option>
            </ion-select>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="estado == 'No armado' ||  estado == 'Armado'">
            <ion-label>Observaciones</ion-label>
            <ion-textarea [(ngModel)]="dataMeasurements.comment || dataInstall.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>
  </div>
  <button ion-button full *ngIf="estado == 'No armado' ||  estado == 'Armado'"  (click)="foto()" class="foto"> <ion-icon class="icono-agregar" name="md-camera"></ion-icon> Tomar foto </button>

  <button *ngIf="estado == 'Armado'" (click)="enviarMeasurement()" class="btn-large" ion-button  >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
   </button>
   <button *ngIf="estado == 'No armado'" (click)="enviarMeasurementIssue()" class="btn-large" ion-button  >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
   </button>
</ion-content>
